Generate image URL
curl --request POST \
--url https://api.videodb.io/image/{image_id}/generate_url \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"format": "jpg",
"quality": 90,
"width": 1024,
"height": 768
}
'const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({format: 'jpg', quality: 90, width: 1024, height: 768})
};
fetch('https://api.videodb.io/image/{image_id}/generate_url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("x-access-token", "<api-key>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://api.videodb.io/image/{image_id}/generate_url' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"format": "jpg",
"quality": 90,
"width": 1024,
"height": 768
}'import Foundation
let parameters = [
"format": "jpg",
"quality": 90,
"width": 1024,
"height": 768
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.videodb.io/image/{image_id}/generate_url")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"x-access-token": "<api-key>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/image/{image_id}/generate_url");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"format\": \"jpg\",\n \"quality\": 90,\n \"width\": 1024,\n \"height\": 768\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/image/{image_id}/generate_url");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"format\": \"jpg\",\n \"quality\": 90,\n \"width\": 1024,\n \"height\": 768\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({format: 'jpg', quality: 90, width: 1024, height: 768})
};
fetch('https://api.videodb.io/image/{image_id}/generate_url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/image/{image_id}/generate_url");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"format\": \"jpg\",\n \"quality\": 90,\n \"width\": 1024,\n \"height\": 768\n}");
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/image/{image_id}/generate_url");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"format\": \"jpg\",\n \"quality\": 90,\n \"width\": 1024,\n \"height\": 768\n}");
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"format\": \"jpg\",\n \"quality\": 90,\n \"width\": 1024,\n \"height\": 768\n}")
val request = Request.Builder()
.url("https://api.videodb.io/image/{image_id}/generate_url")
.post(body)
.addHeader("x-access-token", "<api-key>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute(){
"success": true,
"data": {
"image_url": "https://assets.videodb.io/img/12345.jpg"
}
}Generate Image URL
Generate a shareable URL for an image
POST
/
image
/
{image_id}
/
generate_url
Generate image URL
Generates a signed, shareable URL for an image. The URL can be used to access the image without authentication.
import videodb
conn = videodb.connect(api_key="your_api_key")
coll = conn.get_collection()
image = coll.get_image("i-xyz789")
signed_url = image.generate_url()
print(f"Signed URL: {signed_url}")
import { connect } from 'videodb';
const conn = connect({ apiKey: 'your_api_key' });
const coll = await conn.getCollection();
const image = await coll.getImage('i-xyz789');
const signedUrl = await image.generateUrl();
console.log(`Signed URL: ${signedUrl}`);
- Returns a signed URL string that can be shared publicly
- Signed URLs provide temporary access without requiring authentication
- URLs expire after a certain period (check API documentation for expiration time)
- Collection ID must be passed as a parameter with the request
Get Image Details
Retrieve image information before generating URL
List Images
Browse available images
Authorizations
API key for authentication (sk-xxx format)
Path Parameters
Pattern:
^img-Example:
"img-12345"
Body
application/json
⌘I